MCP Tools
Create an MCP Tool
Create a new MCP Tool
This endpoint creates a new tool for an existing MCP server. The tool defines how to execute a FileMaker script and what inputs/outputs it expects.
Path Parameters
mcp_server_slug*string
POST /otto/api/mcp-servers/:mcp_server_slug/tools Parameter
Request Body
application/json
POST /otto/api/mcp-servers/:mcp_server_slug/tools Request body
name*string
Length
1 <= length <= 100description?string
script_name*string
Length
1 <= lengthinput_schema*
is_active?boolean
Default
trueResponse Body
application/json
application/json
curl -X POST "https://your.server.net/otto/api/mcp-servers/customer-management/tools" \ -H "Content-Type: application/json" \ -d '{ "name": "Create Customer", "description": "Creates a new customer record", "script_name": "Create Customer", "input_schema": { "firstName": { "type": "string", "required": true, "isArray": false }, "lastName": { "type": "string", "required": true, "isArray": false }, "email": { "type": "string", "required": true, "isArray": false } }, "is_active": true }'{
"response": {},
"messages": [
{
"code": 0,
"text": "ok"
}
]
}{
"response": {},
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
]
}